Retrieve Fragment

Retrieve metadata for a fragment.

GET/transactions/{transactionId}/fragments/{fragmentIndex}

This endpoint retrieves metadata about a specific fragment within a transaction. To retrieve the fragment itself, use the Retrieve Fragment Output endpoint.

Fragments allow you to split large transactions into smaller chunks for easier processing. You can enable fragments for one repeated EDI segment in each transaction set and then split the transaction into chunks based on that segment.

Authorization
RequiredHeader

A production Stedi API Key for authentication.

Path Parameters

A unique identifier for the processed transaction within Stedi. This ID is included in the transaction processed event. You can also retrieve it manually from the transaction's details page within the Stedi portal.

The identifier for a specific fragment within a processed transaction. This ID is included in the fragment processed event, or you can retrieve it manually from the transaction's details page within the Stedi portal.

Response

application/json
transactionId
StringRequired

A unique identifier for the processed transaction containing this fragment. This ID is included in the transaction processed event. You can also retrieve it manually from the transaction's details page within the Stedi portal.

fileExecutionId
StringRequired

A unique identifier for the processed file containing this fragment. This ID is included in the file processed event. You can also retrieve it manually from the file's details page in the Stedi portal.

direction
StringRequired

The direction of the transaction. Inbound transactions are those you receive from a payer, provider, or other trading partner. Outbound transactions are those you send to a payer, provider, or other trading partner.

Possible values
INBOUND
OUTBOUND
UNKNOWN
mode
StringRequired

Indicates whether the transaction contains test or production data. Stedi determines this from the value in ISA15 Usage Indicator Code.

Possible values
test
production
other
processedAt
StringRequiredFormat: date-time

The date and time when Stedi processed the transaction containing the fragment, in ISO 8601 format. For example, 2023-08-28T00:00:00Z.

fragmentIndex
NumberRequired

The identifier for the fragment within a processed transaction.

fragments
ObjectRequired

Details about fragments included in the transaction, if applicable. Fragments break large transactions into smaller parts for easier processing and management.

Show attributes
transactionUrl
StringRequired

The URL to review the transaction within the Stedi portal.

artifacts
Array of ObjectsRequired

A list of artifacts related to the transaction containing the fragment.

Array item
partnership
ObjectRequired

Information about the associated partnership.

A partnership describes all aspects of the EDI relationship between two profiles in your Stedi account, such as which transaction sets they will exchange and other important information for processing EDI files. If you're sending or receiving transactions through the Stedi clearinghouse, Stedi configures the necessary partnership for you automatically when you set up your account.

Show attributes
x12
Object

Details about the X12 EDI transaction.

Show attributes